#hour_start_scheduled {
  box-sizing: border-box !important;
  -webkit-appearance: none !important;
  -moz-appearance: none !important;
       appearance: none !important;
  display: block !important;
  width: 100% !important;
}

input[type=date],
input[type=time],
input[type=datetime-local],
input[type=month] {
  -webkit-appearance: none;
  -moz-appearance: none;
       appearance: none;
}

.cursor-not-allowed {
  cursor: not-allowed;
}

.drag_disabled {
  pointer-events: none;
}

.bg-gray {
  background-color: #f7f7f7 !important;
}

.card-count-info-shop {
  min-height: 150px;
}

[v-cloak] {
  display: none !important;
  visibility: hidden !important;
}

[v-cloak]::before {
  content: "";
  display: block;
  width: 16px;
  height: 16px;
}

.pointer {
  cursor: pointer;
}

.modal-light-dark .modal-header {
  background-color: #38414aeb;
}
.modal-light-dark .close {
  color: white;
}

.fw-55 {
  font-weight: 550;
}

.field-icon {
  float: right;
  margin-left: -25px;
  margin-top: -28px;
  position: relative;
  z-index: 2;
  margin-right: 8px;
}

.login {
  background-image: url(/images/bg-pattern.png?ed0a3287a3e14d96843996f9172f1f66);
  background-color: #eaeaea;
}

table.dataTable tbody th.focus, table.dataTable tbody td.focus {
  outline: 2px solid #38414aeb !important;
  color: #38414aeb;
  background-color: #eaeaea2e;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  background-color: #38414aeb;
}

.page-item.active .page-link {
  background-color: #38414aeb;
  border-color: #38414aeb;
}

.page-link:focus {
  box-shadow: 0 0 0 0.15rem #bbbbbbeb;
}

.fs-100 {
  font-size: 100% !important;
}

.form-group.required label:not(:empty)::after {
  content: " *";
  color: #ff0000;
}

.ui-required label:not(:empty)::after {
  content: " *";
  color: #ff0000;
}

span.required {
  color: #ff0000;
}

.copyright {
  font-size: 9px;
}

.invalid-feedback {
  display: flex !important;
  width: 100%;
  margin-top: 0.25rem;
  font-size: 0.75rem;
  color: #f1556c;
}

.form-control:disabled {
  background-color: #f5f5f5;
}

.switch-button-control {
  display: flex;
  flex-direction: row;
  align-items: center;
}
.switch-button-control .switch-button {
  height: 1.6em;
  width: calc(1.6em * 2);
  border: 2px solid var(--color);
  box-shadow: inset 0 0 2px 0 rgba(0, 0, 0, 0.33);
  border-radius: 1.6em;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
}
.switch-button-control .switch-button .button {
  height: calc(1.6em - (2 * 2px));
  width: calc(1.6em - (2 * 2px));
  border: 2px solid var(--color);
  border-radius: calc(1.6em - (2 * 2px));
  background: var(--color);
  transition: all 0.3s ease-in-out;
}
.switch-button-control .switch-button.enabled {
  background-color: var(--color);
  box-shadow: none;
}
.switch-button-control .switch-button.enabled .button {
  background: white;
  transform: translateX(calc(calc(1.6em - (2 * 2px)) + (2 *2px)));
}
.switch-button-control .switch-button-label {
  margin-left: 10px;
  margin-right: 10px;
}

@media (max-width: 768px) {
  .col-xs-0 {
    display: none;
  }

  .mobile-pt-4, .mobile-py-4 {
    padding-top: 2.25rem !important;
  }

  .mobile-pl-4, .mobile-px-4 {
    padding-left: 2.25rem !important;
  }

  .d-md-none {
    display: none;
  }

  .no-padding-mobile {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }

  .text-center-mobile {
    text-align: center;
  }
}
@media (max-width: 370px) {
  .d-esm-none {
    display: none;
  }
}
@media screen and (min-width: 767px) {
  .btn-inline-desktop {
    padding-top: 29px;
  }

  .desktop-pt-4, .desktop-py-4 {
    padding-top: 2.25rem !important;
  }

  .desktop-pl-4, .desktop-px-4 {
    padding-left: 2.25rem !important;
  }
}
@media (max-width: 1200px) {
  .each-routes-hour {
    font-size: 1.2rem !important;
  }
}
.help-block-error {
  color: red;
  font-size: 13px;
}

#vue-visits-route .timeline:before {
  left: 257px;
}

.btn-inline {
  margin-top: 1.9rem !important;
}

@media (min-width: 1200px) {
  .row-xl-reverse {
    flex-direction: row-reverse !important;
  }
}
table.dataTable {
  border-collapse: collapse !important;
  margin-bottom: 15px !important;
}
table.dataTable tbody > tr.selected, table.dataTable tbody > tr > .selected {
  color: white;
}
table.dataTable tbody > tr.selected td .action-icon, table.dataTable tbody > tr > .selected td .action-icon {
  color: white;
}

.refresh-button {
  transform: rotate(360deg);
  transition: 1s;
}

table.dataTable.dtr-inline.collapsed > tbody > tr.parent > td:first-child::before {
  background-color: #7ed2c2;
}

.border-info-force {
  background-color: #4fc6e1;
  border: solid 1px;
}
